Bug 114203 - Sidebar deck outside of sidebar container when opening multiple windows (gtk2)
Summary: Sidebar deck outside of sidebar container when opening multiple windows (gtk2)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-UI-UX GTK2
  Show dependency treegraph
 
Reported: 2017-12-02 08:14 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-12-05 03:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (2.30 MB, video/webm)
2017-12-02 08:14 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-12-02 08:14:39 UTC
Created attachment 138177 [details]
screencast

steps:
1. open writer and expand the sidebar
2. close writer
3. open impress
4. open writer
5. sidebar deck initially appears i correct location and then jumps out of location

workaround: switch to impress and then back to writer

Version: 6.0.0.0.alpha1+
Build ID: 831dca83f073bca9ad6242f1b96183eb4a49af69
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-11-15_00:06:28
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Jacques Guilleron 2017-12-03 07:37:07 UTC
Hi Yousuf,

I don't reproduce with
LO 6.1.0.0.alpha0+ Build ID: cc1db6f2b0ebe05ae807628778835b62df00eca2
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-12-02_23:45:34
Locale: fr-FR (fr_FR); Calc: CL
and
LO 6.0.0.0.beta1 Build ID: 97471ab4eb4db4c487195658631696bb3238656c
Threads CPU : 2; OS : Windows 6.1; UI Render : GL; 
Locale : fr-FR (fr_FR); Calc: CL
Comment 2 Yousuf Philips (jay) (retired) 2017-12-03 20:38:58 UTC
Hi Jacques,

Thanks for testing it on windows. So it is then likely a linux only issue. I tested further and see it happens on the gtk2 backend but not gtk3.

Xisco, Buovjaga, Aron: can any of you guys repo this?
Comment 3 Xisco Faulí 2017-12-03 21:06:33 UTC
I can reproduce it in

Version: 6.1.0.0.alpha0+
Build ID: 889c72a7e54f241342f42b1b0a05858902228cbc
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: ar-MA (ca_ES.UTF-8); Calc: group threaded

but not in

Version: 6.1.0.0.alpha0+
Build ID: 889c72a7e54f241342f42b1b0a05858902228cbc
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ar-MA (ca_ES.UTF-8); Calc: group threaded
Comment 4 Xisco Faulí 2017-12-03 21:26:34 UTC
I can't reproduce it in

Version: 6.0.0.0.beta1+
Build ID: 8aafeb3c72b79acffab0c608e8f4037a80296f53
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded
Comment 5 Yousuf Philips (jay) (retired) 2017-12-04 09:12:22 UTC
Happens for me in 6.0 beta 1 and doubt it was fixed in the last week as it is still broken in master, so not sure how it wasnt repo'd in comment 4.

Version: 6.0.0.0.beta1
Build ID: 97471ab4eb4db4c487195658631696bb3238656c
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: ar-SA (en_US.UTF-8); Calc: group threaded
Comment 6 QA Administrators 2018-12-05 03:48:53 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug